Package org.linphone.core

# Interface ImNotifPolicy

public interface ImNotifPolicy
Policy to use to send/receive instant messaging composing/delivery/display
notifications.
The sending of this information is done as in the RFCs 3994 (is_composing) and
5438 (imdn delivered/displayed).

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clear an IM notif policy (deactivate all receiving and sending of
notifications).
`void`
`enableAll()`
Enable all receiving and sending of notifications.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`boolean`
`getRecvImdnDelivered()`
Tell whether imdn delivered notifications are being notified when received.
`boolean`
`getRecvImdnDeliveryError()`
Tell whether imdn delivery error notifications are being notified when
received.
`boolean`
`getRecvImdnDisplayed()`
Tell whether imdn displayed notifications are being notified when received.
`boolean`
`getRecvIsComposing()`
Tell whether is_composing notifications are being notified when received.
`boolean`
`getSendImdnDelivered()`
Tell whether imdn delivered notifications are being sent.
`boolean`
`getSendImdnDeliveryError()`
Tell whether imdn delivery error notifications are being sent.
`boolean`
`getSendImdnDisplayed()`
Tell whether imdn displayed notifications are being sent.
`boolean`
`getSendIsComposing()`
Tell whether is_composing notifications are being sent.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setRecvImdnDelivered(boolean enable)`
Enable imdn delivered notifications receiving.
`void`
`setRecvImdnDeliveryError(boolean enable)`
Enable imdn delivery error notifications receiving.
`void`
`setRecvImdnDisplayed(boolean enable)`
Enable imdn displayed notifications receiving.
`void`
`setRecvIsComposing(boolean enable)`
Enable is_composing notifications receiving.
`void`
`setSendImdnDelivered(boolean enable)`
Enable imdn delivered notifications sending.
`void`
`setSendImdnDeliveryError(boolean enable)`
Enable imdn delivery error notifications sending.
`void`
`setSendImdnDisplayed(boolean enable)`
Enable imdn displayed notifications sending.
`void`
`setSendIsComposing(boolean enable)`
Enable is_composing notifications sending.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getRecvImdnDelivered

boolean getRecvImdnDelivered()
Tell whether imdn delivered notifications are being notified when received.

Returns:
  Boolean value telling whether imdn delivered notifications are being
  notified when received.

### setRecvImdnDelivered

void setRecvImdnDelivered(boolean enable)
Enable imdn delivered notifications receiving.

Parameters:
  `enable` - Boolean value telling whether to notify received imdn delivered
  notifications.

### getRecvImdnDeliveryError

boolean getRecvImdnDeliveryError()
Tell whether imdn delivery error notifications are being notified when
received.

Returns:
  Boolean value telling whether imdn delivery error notifications are
  being notified when received.

### setRecvImdnDeliveryError

void setRecvImdnDeliveryError(boolean enable)
Enable imdn delivery error notifications receiving.
Note: Error IMDN must be enabled for Lime recovery mechanism

Parameters:
  `enable` - Boolean value telling whether to notify received imdn delivery
  error notifications.

### getRecvImdnDisplayed

boolean getRecvImdnDisplayed()
Tell whether imdn displayed notifications are being notified when received.

Returns:
  Boolean value telling whether imdn displayed notifications are being
  notified when received.

### setRecvImdnDisplayed

void setRecvImdnDisplayed(boolean enable)
Enable imdn displayed notifications receiving.

Parameters:
  `enable` - Boolean value telling whether to notify received imdn displayed
  notifications.

### getRecvIsComposing

boolean getRecvIsComposing()
Tell whether is_composing notifications are being notified when received.

Returns:
  Boolean value telling whether is_composing notifications are being
  notified when received.

### setRecvIsComposing

void setRecvIsComposing(boolean enable)
Enable is_composing notifications receiving.

Parameters:
  `enable` - Boolean value telling whether to notify received is_composing
  notifications.

### getSendImdnDelivered

boolean getSendImdnDelivered()
Tell whether imdn delivered notifications are being sent.

Returns:
  Boolean value telling whether imdn delivered notifications are being
  sent.

### setSendImdnDelivered

void setSendImdnDelivered(boolean enable)
Enable imdn delivered notifications sending.

Parameters:
  `enable` - Boolean value telling whether to send imdn delivered
  notifications.

### getSendImdnDeliveryError

boolean getSendImdnDeliveryError()
Tell whether imdn delivery error notifications are being sent.

Returns:
  Boolean value telling whether imdn delivery error notifications are
  being sent.

### setSendImdnDeliveryError

void setSendImdnDeliveryError(boolean enable)
Enable imdn delivery error notifications sending.
Note: Error IMDN must be enabled for Lime recovery mechanism

Parameters:
  `enable` - Boolean value telling whether to send imdn delivery error
  notifications.

### getSendImdnDisplayed

boolean getSendImdnDisplayed()
Tell whether imdn displayed notifications are being sent.

Returns:
  Boolean value telling whether imdn displayed notifications are being
  sent.

### setSendImdnDisplayed

void setSendImdnDisplayed(boolean enable)
Enable imdn displayed notifications sending.

Parameters:
  `enable` - Boolean value telling whether to send imdn displayed
  notifications.

### getSendIsComposing

boolean getSendIsComposing()
Tell whether is_composing notifications are being sent.

Returns:
  Boolean value telling whether is_composing notifications are being
  sent.

### setSendIsComposing

void setSendIsComposing(boolean enable)
Enable is_composing notifications sending.

Parameters:
  `enable` - Boolean value telling whether to send is_composing notifications.

### clear

void clear()
Clear an IM notif policy (deactivate all receiving and sending of
notifications).
Note: Error IMDN must be enabled for Lime recovery mechanism

### enableAll

void enableAll()
Enable all receiving and sending of notifications.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`